//+------------------------------------------------------------------+
//|                                                     CL Slope.mq4 |
//|                                                             rl/cl|
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "cl"
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Yellow
#property indicator_width1 2

extern int HalfCycle1 = 14;
extern int MaMode1    = MODE_LWMA;
extern int Price1     = PRICE_CLOSE; 
extern int HalfCycle2 = 28;
extern int MaMode2    = MODE_LWMA;
extern int Price2     = PRICE_CLOSE; 
double ExtMapBuffer1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
             limit = MathMax(limit,MathMax(HalfCycle1,HalfCycle2));

   for(int i=limit; i>=0; i--)
   { 
      double FastSnake = iCustom(NULL,0,"SnakeSMA",HalfCycle1,MaMode1,Price1,0,i);
      double SlowSnake = iCustom(NULL,0,"SnakeSMA",HalfCycle2,MaMode2,Price2,0,i);
      ExtMapBuffer1[i] = (FastSnake-SlowSnake);
      
   }

//----
   return(0);
  }
//+------------------------------------------------------------------+